/*
    This file is part of COMMON AVR UTILS.

    COMMON AVR UTILS is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License (LGPL)
    as published by the Free Software Foundation, either version 3 of
    the License, or (at your option) any later version.

    COMMON AVR UTILS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License at <http://www.gnu.org/licenses/>
    for more details.

    (C) Georg-Johann Lay <georgjohann@web.de>
*/

#ifndef _UART_H_
#define _UART_H_

extern void uart_init(void);
extern void uart_putc (const char);
extern char uart_getc (void);
extern int uart_getc_nowait(void);

extern unsigned char volatile uart_transmits_p;

#ifdef UART_OUTFIFO
#include "fifo.h"
extern fifo_t uart_outfifo;
#endif // UART_OUTFIFO

#ifdef UART_INFIFO
#include "fifo.h"
extern fifo_t uart_infifo;
#endif // UART_INFIFO


#endif /* _UART_H_ */
